Skip to main content
POST
OAuth Scope

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide โ†’

Path Parameters

profile_id
string
required

The ID of the profile under which to execute this order.

Body

application/json
quote_id
string
required

The ID of the held Quote for buying or selling some asset.

ref_id
string

A unique identifier for the quote execution (for idempotence).

base_amount
string

The amount of the base asset (crypto) to buy or sell using the specified quote. The maximum precision is 8 decimals.

Pattern: ^[0-9]*\.?[0-9]+$
quote_amount
string

The amount of the quote asset (fiat) to spend or acquire using the specified quote. The maximum precision is 2 decimals.

Pattern: ^[0-9]*\.?[0-9]+$
metadata
object

Metadata to store on the quote execution. Up to 6 key/value pairs may be stored, with each key and value at most 100 characters.

identity_id
string

The end user that requests the quote execution.

account_id
string

The account under which this quote execution is placed. The provided identity must be allowed to trade on behalf of this account.

recipient_profile_id
string

The ID of the profile under which to deposit the funds.

Response

A successful response.

A QuoteExecution is an order to buy or sell an asset at a particular held Quote.

id
string
required

The UUID of the quote execution.

profile_id
string
required

The ID of the profile under which this order executed.

quote_id
string
required

The ID of the quote used to create this quote execution.

status
enum<string>
required

A QuoteExecution begins in state CREATED and transitions to end state SETTLED when all accounting movements are complete.

Available options:
CREATED,
SETTLED
market
enum<string>
required
Available options:
ETHEUR,
ETHSGD,
ETHUSD,
BTCEUR,
BTCSGD,
BTCUSD,
PAXGUSD,
BCHUSD,
LTCUSD,
USDPUSD,
LINKUSD,
AAVEUSD,
UNIUSD,
PEPEUSD,
TRUMPUSD,
SHIBUSD,
ARBUSD,
BONKUSD,
ENAUSD,
MNTUSD,
ONDOUSD,
PENGUUSD,
QNTUSD,
RENDERUSD,
SKYUSD,
WIFUSD,
WLDUSD,
DOGEUSD,
AVAXUSD,
SUIUSD,
POLUSD,
XLMUSD,
BNBUSD
side
enum<string>
required

Trade side.

Available options:
BUY,
SELL
price
string<decimal>
required

The guaranteed price of the quote.

base_amount
string<decimal>
required

The amount of assets (crypto) in the transaction.

base_asset
string
required

The "base" side of the trading pair (crypto - like BTC, ETH, PAXG).

quote_amount
string<decimal>
required

The amount of quote currency (cash) in the transaction.

quote_asset
string
required

The "quote" side of the trading pair (fiat - like USD, EUR, SGD).

created_at
string<date-time>
required

The time at which the quote execution was created.

ref_id
string

A unique identifier for the quote execution creation (for idempotence).

settled_at
string<date-time>

The time at which the quote execution was settled, completing its lifecycle.

metadata
object

Client-specified metadata.

identity_id
string

The identity under which this quote execution is placed.

account_id
string

The account under which this quote execution is placed.

recipient_profile_id
string

The ID of the profile under which to deposit the funds.